## org.apache.poi.hssf.record
Class EmbeddedObjectRefSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.SubRecord
          org.apache.poi.hssf.record.EmbeddedObjectRefSubRecord

    public final class EmbeddedObjectRefSubRecord

extends SubRecord

ftPictFmla (0x0009)
A sub-record within the OBJ record which stores a reference to an object stored in a separate entry within the OLE2 compound file.

Author:
  Daniel Noll

Field Summary
`static short` `sid`

Constructor Summary
`EmbeddedObjectRefSubRecord(LittleEndianInput in, int size)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`byte[]` `getObjectData()`
`java.lang.String` `getOLEClassName()`
`short` `getSid()`
`java.lang.Integer` `getStreamId()` Gets the stream ID containing the actual data.
`void` `serialize(LittleEndianOutput out)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hssf.record.SubRecord
`createSubRecord, isTerminating, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### EmbeddedObjectRefSubRecord

    public EmbeddedObjectRefSubRecord(LittleEndianInput in,
                                      int size)

Method Detail

### getSid

    public short getSid()

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `SubRecord`
  Returns:
    the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

### serialize

    public void serialize(LittleEndianOutput out)

  Specified by:
    `serialize` in class `SubRecord`

### getStreamId

    public java.lang.Integer getStreamId()

  Gets the stream ID containing the actual data. The data itself can be found under a top-level directory entry in the OLE2 filesystem under the name "MBDxxxxxxxx" where xxxxxxxx is this ID converted into hex (in big endian order, funnily enough.)

  Returns:
    the data stream ID. Possibly `null`

### getOLEClassName

    public java.lang.String getOLEClassName()

### getObjectData

    public byte[] getObjectData()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `SubRecord`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.